Skip to content
dartpilot
Esc
↑↓navigate↵open⌘Jpreview

List games

Lists the API key owner’s games, newest first.

GET/games
Authorization
x-api-keyAPI key · headerrequired

A user (dp_) or organization (dp_org_) API key with read scopes.

Query parameters
afterstring

Opaque cursor from the previous page's paging.nextCursor.

limitinteger

Number of items to return per page.

min 1 · max 50 · default: 20
Responses
200

A page of games.

itemsGame[]required
Show properties
Array of Game
idstringrequired
typestringrequired
statusstringrequired
playersGamePlayer[]required
Show properties
Array of GamePlayer
namestringrequired
userIdstring | nullrequired
imagestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
pagingPagingrequired
Show properties
nextCursorstring | nullrequired
400

Invalid request.

messagestringrequired
401

Missing or invalid API key.

messagestringrequired
403

The API key is missing a required scope or is the wrong type for this endpoint.

messagestringrequired
404

Entity not found.

messagestringrequired
429

Rate limit exceeded. See the Retry-After header.

messagestringrequired
500

Internal server error.

messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.dartpilot.app/v1/games' \
  -H 'x-api-key: YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "items": [
    {
      "id": "string",
      "type": "string",
      "status": "string",
      "players": [
        {
          "name": "string",
          "userId": "string",
          "image": "string"
        }
      ],
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "paging": {
    "nextCursor": "string"
  }
}

Was this page helpful?